Subject: Re: [PATCH v4 00/10] split out emac cpdma and mdio for reuse

From: Kevin Hilman <[email-masked]>
Date: Tue, 14 Sep 2010 16:10:48 -0700

Cyril Chemparathy <[email-masked]> writes:

> Davinci's EMAC device has an in-built MDIO controller and a CPDMA engine.
> These hardware modules are not restricted to EMAC device alone.  For example,
> CPSW3G (3-port gigabit ethernet switch) hardware uses these very same modules
> internally.  This patch series separates out EMAC's MDIO and CPDMA
> functionality, allowing these individual pieces to be reused across TI
> hardware.  

[...]

> Changes from v3 (rolled in "post cpdma/mdio refactoring fixes" series):
>   1. allow forced 100/full mode instead of phy auto-detect
>   2. specify phy_id on boards that had a phy_mask defined earlier
>   3. requeue cpdma descriptors when EOQ at submit
>   4. use calculated mdio bus access times instead of hardcoded delays
>   5. work around emac soft-reset impact on mdio controller state
>   6. extend register dumps to include cpdma registers

Minor nit: you should remove the Michael's and Caglar's Tested-by on the
omap:* patches as I don't believe they tested those.  While you're at
it, please add Tony's ack.

Feel free to just update those two patches, and I'll queue up this
updated series.

Thanks,

Kevin